Loading...
Searching...
No Matches
Client session related functions

## Functions

svn_error_t * | svn_client_url_from_path2 (const char **url, const char *path_or_url, svn_client_ctx_t *ctx, apr_pool_t *result_pool, apr_pool_t *scratch_pool)
| Set *url to the URL for path_or_url allocated in result_pool.
svn_error_t * | svn_client_url_from_path (const char **url, const char *path_or_url, apr_pool_t *pool)
| Similar to svn_client_url_from_path2(), but without a context argument.
svn_error_t * | svn_client_get_repos_root (const char **repos_root_url, const char **repos_uuid, const char *abspath_or_url, svn_client_ctx_t *ctx, apr_pool_t *result_pool, apr_pool_t *scratch_pool)
| Set *repos_root_url and *repos_uuid, to the root URL and UUID of the repository in which abspath_or_url is versioned.
svn_error_t * | svn_client_root_url_from_path (const char **url, const char *path_or_url, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Set *url to the repository root URL of the repository in which path_or_url is versioned (or scheduled to be versioned), allocated in pool.
svn_error_t * | svn_client_uuid_from_url (const char **uuid, const char *url, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Get repository uuid for url.
svn_error_t * | svn_client_uuid_from_path2 (const char **uuid, const char *local_abspath, svn_client_ctx_t *ctx, apr_pool_t *result_pool, apr_pool_t *scratch_pool)
| Return the repository uuid for working-copy local_abspath, allocated in result_pool.
svn_error_t * | svn_client_uuid_from_path (const char **uuid, const char *path, svn_wc_adm_access_t *adm_access, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_uuid_from_path2(), but with a relative path and an access baton.
svn_error_t * | svn_client_open_ra_session2 (svn_ra_session_t **session, const char *url, const char *wri_abspath, svn_client_ctx_t *ctx, apr_pool_t *result_pool, apr_pool_t *scratch_pool)
| Open an RA session rooted at url, and return it in *session.
svn_error_t * | svn_client_open_ra_session (svn_ra_session_t **session, const char *url, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_open_ra_session2(), but with @ wri_abspath always passed as NULL, and with the same pool used as both result_pool and scratch_pool.

## Detailed Description

## Function Documentation

## svn_client_get_repos_root()

svn_error_t * svn_client_get_repos_root | ( | const char ** | repos_root_url,
|  | const char ** | repos_uuid,
|  | const char * | abspath_or_url,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | result_pool,
|  | apr_pool_t * | scratch_pool )

Set *repos_root_url and *repos_uuid, to the root URL and UUID of the repository in which abspath_or_url is versioned.

Use the authentication baton and working copy context cached in ctx as necessary. repos_root_url and/or repos_uuid may be NULL if not wanted.

This function will open a temporary RA session to the repository if necessary to get the information.

Allocate *repos_root_url and *repos_uuid in result_pool. Use scratch_pool for temporary allocations.

Since
  New in 1.8.

References SVN_DEPRECATED.

## svn_client_open_ra_session()

svn_error_t * svn_client_open_ra_session | ( | svn_ra_session_t ** | session,
|  | const char * | url,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool )

Similar to svn_client_open_ra_session2(), but with @ wri_abspath always passed as NULL, and with the same pool used as both result_pool and scratch_pool.

Since
  New in 1.3.

Deprecated
  Provided for backward compatibility with the 1.7 API.

References url.

## svn_client_open_ra_session2()

svn_error_t * svn_client_open_ra_session2 | ( | svn_ra_session_t ** | session,
|  | const char * | url,
|  | const char * | wri_abspath,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | result_pool,
|  | apr_pool_t * | scratch_pool )

Open an RA session rooted at url, and return it in *session.

Use the authentication baton stored in ctx for authentication. *session is allocated in result_pool.

If wri_abspath is not NULL, use the working copy identified by wri_abspath to potentially avoid transferring unneeded data.

Note
  This function is similar to svn_ra_open4(), but the caller avoids having to providing its own callback functions.

Since
  New in 1.8.

References SVN_DEPRECATED, and url.

## svn_client_root_url_from_path()

svn_error_t * svn_client_root_url_from_path | ( | const char ** | url,
|  | const char * | path_or_url,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool )

Set *url to the repository root URL of the repository in which path_or_url is versioned (or scheduled to be versioned), allocated in pool.

ctx is required for possible repository authentication.

Since
  New in 1.5.

Deprecated
  Provided for backward compatibility with the 1.7 API. Use svn_client_get_repos_root() instead, with an absolute path.

References SVN_DEPRECATED, and url.

## svn_client_url_from_path()

svn_error_t * svn_client_url_from_path | ( | const char ** | url,
|  | const char * | path_or_url,
|  | apr_pool_t * | pool )

Similar to svn_client_url_from_path2(), but without a context argument.

Since
  New in 1.5.

Deprecated
  Provided for backward compatibility with the 1.6 API.

References url.

## svn_client_url_from_path2()

svn_error_t * svn_client_url_from_path2 | ( | const char ** | url,
|  | const char * | path_or_url,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | result_pool,
|  | apr_pool_t * | scratch_pool )

Set *url to the URL for path_or_url allocated in result_pool.

If path_or_url is already a URL, set *url to path_or_url.

If path_or_url is a versioned item, set *url to path_or_url's entry URL. If path_or_url is unversioned (has no entry), set *url to NULL.

Use ctx->wc_ctx to retrieve the information. Use scratch_pool for temporary allocations.

Since
  New in 1.7.

References SVN_DEPRECATED, and url.

## svn_client_uuid_from_path()

svn_error_t * svn_client_uuid_from_path | ( | const char ** | uuid,
|  | const char * | path,
|  | svn_wc_adm_access_t * | adm_access,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool )

Similar to svn_client_uuid_from_path2(), but with a relative path and an access baton.

Deprecated
  Provided for backward compatibility with the 1.6 API.

References path.

## svn_client_uuid_from_path2()

svn_error_t * svn_client_uuid_from_path2 | ( | const char ** | uuid,
|  | const char * | local_abspath,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | result_pool,
|  | apr_pool_t * | scratch_pool )

Return the repository uuid for working-copy local_abspath, allocated in result_pool.

Use ctx->wc_ctx to retrieve the information.

Use scratch_pool for temporary allocations.

Since
  New in 1.7.

Deprecated
  Provided for backward compatibility with the 1.7 API. Use svn_client_get_repos_root() instead.

References SVN_DEPRECATED.

## svn_client_uuid_from_url()

svn_error_t * svn_client_uuid_from_url | ( | const char ** | uuid,
|  | const char * | url,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool )

Get repository uuid for url.

Use a pool to open a temporary RA session to url, discover the repository uuid, and free the session. Return the uuid in uuid, allocated in pool. ctx is required for possible repository authentication.

Deprecated
  Provided for backward compatibility with the 1.7 API. Use svn_client_get_repos_root() instead.

References SVN_DEPRECATED, and url.